New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error 500 upon opening settings #185

Open
lorrandavid opened this Issue Sep 6, 2018 · 6 comments

Comments

3 participants
@lorrandavid

lorrandavid commented Sep 6, 2018

I just have just installed the plugin and when I go to the settings page I get an error 500: "The page cannot be displayed because an internal server error has occurred".

But here's what is really bothering me, I can visit all settings page of the plugin except for the first one. If I go to ?page=autoptimize_extra it works just fine.

Can someone help me?

@futtta

This comment has been minimized.

Show comment
Hide comment
@futtta

futtta Sep 6, 2018

Owner
Owner

futtta commented Sep 6, 2018

@lorrandavid

This comment has been minimized.

Show comment
Hide comment
@lorrandavid

lorrandavid Sep 6, 2018

Wordpress is running v.4.8 and the plugin is the latest one. I don't have access to the folders in the server except for the wordpress one, is there another way to check for the error?

lorrandavid commented Sep 6, 2018

Wordpress is running v.4.8 and the plugin is the latest one. I don't have access to the folders in the server except for the wordpress one, is there another way to check for the error?

@hyperpress

This comment has been minimized.

Show comment
Hide comment
@hyperpress

hyperpress Sep 6, 2018

There are a lot of factors that can result in 500 errors. Can you ask your host support to look at their server logs to see if they provide more details?

hyperpress commented Sep 6, 2018

There are a lot of factors that can result in 500 errors. Can you ask your host support to look at their server logs to see if they provide more details?

@futtta

This comment has been minimized.

Show comment
Hide comment
@futtta

futtta Sep 7, 2018

Owner

@lorrandavid:

  • latest version of the plugin = the version from wordpress.org (2.3.4) or the beta-version from github (2.4.0-beta4)?
  • you'll indeed have to check with your hosting support if you don't have access to the PHP errorlog yourself.
Owner

futtta commented Sep 7, 2018

@lorrandavid:

  • latest version of the plugin = the version from wordpress.org (2.3.4) or the beta-version from github (2.4.0-beta4)?
  • you'll indeed have to check with your hosting support if you don't have access to the PHP errorlog yourself.
@lorrandavid

This comment has been minimized.

Show comment
Hide comment
@lorrandavid

lorrandavid Sep 10, 2018

@futtta the version from wordpress.org but I also tested the beta one. I forgot to mention one thing, my server is an IIS, do you think this is the issue?

lorrandavid commented Sep 10, 2018

@futtta the version from wordpress.org but I also tested the beta one. I forgot to mention one thing, my server is an IIS, do you think this is the issue?

@futtta

This comment has been minimized.

Show comment
Hide comment
@futtta

futtta Sep 10, 2018

Owner

my server is an IIS, do you think this is the issue?

should not matter really.

afraid we won't be able to troubleshoot this unless you(r hoster) can provide the PHP errorlog @lorrandavid, can you make that happen?

Owner

futtta commented Sep 10, 2018

my server is an IIS, do you think this is the issue?

should not matter really.

afraid we won't be able to troubleshoot this unless you(r hoster) can provide the PHP errorlog @lorrandavid, can you make that happen?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment